import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import styled from 'styled-components';
import Table from './layout/Table';
import FieldItems from './field-items';
const LayoutWrapper = styled.div `
  display: flex;
  width: 100%;
  height: 100%;
  flex-wrap: no-wrap;
`;
const CustomPrintLayout = React.forwardRef(({ config, fieldItems }, ref) => (_jsxs(LayoutWrapper, { className: "sino-custom-print-layout", children: [_jsx(FieldItems, { fieldItems: fieldItems }), _jsx(Table, { config: config, fieldItems: fieldItems, ref: ref })] })));
export default CustomPrintLayout;
