import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { DEFAULT_CELL_WIDTH } from '@sinoform/print-out-core';
import { useSelector } from 'react-redux';
export default function Colgroup() {
    const config = useSelector((state) => state.present);
    return (_jsxs("colgroup", { children: [_jsx("col", { width: "50px" }), Array.from({ length: config.cols.len }).map((_, idx) => (_jsx("col", { width: `${config.cols[idx]?.width ?? DEFAULT_CELL_WIDTH}px` }, idx)))] }));
}
