"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _jsxRuntime = /*#__PURE__*/require("react/jsx-runtime");
var _isEqual = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("lodash-es/isEqual"));
var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));
var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));
var _plugins = /*#__PURE__*/require("../plugins");
var Layout = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "Toolbar__Layout",
  componentId: "sc-dl3bm7-0"
})(["display:flex;align-items:center;height:40px;border-bottom:1px solid #e0e2e4;background-color:#f5f6f7;"]);
function Toolbar(_ref) {
  var editor = _ref.editor,
    selectedRange = _ref.selectedRange,
    editingCell = _ref.editingCell;
  return (0, _jsxRuntime.jsxs)(Layout, {
    children: ["|", (0, _jsxRuntime.jsx)(_plugins.UndoButton, {}), (0, _jsxRuntime.jsx)(_plugins.RedoButton, {}), "|", (0, _jsxRuntime.jsx)(_plugins.FormatBoldButton, {
      editor: editor,
      selectedRange: selectedRange,
      editingCell: editingCell
    }), (0, _jsxRuntime.jsx)(_plugins.FormatItalicButton, {
      editor: editor,
      selectedRange: selectedRange,
      editingCell: editingCell
    }), (0, _jsxRuntime.jsx)(_plugins.FormatUnderlinedButton, {
      editor: editor,
      selectedRange: selectedRange,
      editingCell: editingCell
    }), (0, _jsxRuntime.jsx)(_plugins.FormatDeleteLinedButton, {
      editor: editor,
      selectedRange: selectedRange,
      editingCell: editingCell
    }), "|", (0, _jsxRuntime.jsx)(_plugins.BgColorPickerButton, {
      selectedRange: selectedRange,
      disabled: !selectedRange || !!editingCell
    }), (0, _jsxRuntime.jsx)(_plugins.ColorPickerButton, {
      editor: editor,
      selectedRange: selectedRange,
      editingCell: editingCell
    }), "| \xA0", (0, _jsxRuntime.jsx)(_plugins.FontFamilySelectButton, {
      editor: editor,
      selectedRange: selectedRange,
      editingCell: editingCell
    }), "\xA0", (0, _jsxRuntime.jsx)(_plugins.FontSizeSelectButton, {
      editor: editor,
      selectedRange: selectedRange,
      editingCell: editingCell
    }), "\xA0 |", (0, _jsxRuntime.jsx)(_plugins.HorizontalSelectButton, {
      selectedRange: selectedRange,
      disabled: !selectedRange || !!editingCell
    }), (0, _jsxRuntime.jsx)(_plugins.VerticalSelectButton, {
      selectedRange: selectedRange,
      disabled: !selectedRange || !!editingCell
    }), "|", (0, _jsxRuntime.jsx)(_plugins.BorderButton, {
      selectedRange: selectedRange,
      disabled: !selectedRange || !!editingCell
    }), (0, _jsxRuntime.jsx)(_plugins.MergeButton, {
      selectedRange: selectedRange,
      disabled: !selectedRange || (0, _isEqual.default)(selectedRange[0], selectedRange[1]) || !!editingCell
    }), "|", (0, _jsxRuntime.jsx)(_plugins.PrintConfigButton, {})]
  });
}
var _default = /*#__PURE__*/_react.default.memo(Toolbar);
exports.default = _default;