"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultState = exports.default = void 0;
var _objectSpread2 = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@babel/runtime/helpers/objectSpread2"));
var _redux = /*#__PURE__*/require("redux");
var _types = /*#__PURE__*/require("@sinoform/types");
var _undoableReducer = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("./undoableReducer"));
var defaultState = {
  cols: {
    len: 20
  },
  rows: {
    len: 80
  },
  config: {
    pageConfig: {
      pageDir: _types.PageDirType.VERTICAL,
      pageSize: _types.PageSizeType.A4,
      pagePaddingTop: '25.5',
      pagePaddingBottom: '25.5',
      pagePaddingLeft: '23.7',
      pagePaddingRight: '23.7'
    },
    contentConfig: {
      isShowDefaultTitle: '0',
      isAutoHeight: '0'
    }
  }
};
exports.defaultState = defaultState;
function buildStore(config) {
  var initialState = {
    present: (0, _objectSpread2.default)((0, _objectSpread2.default)({}, defaultState), config),
    past: [],
    future: []
  };
  return (0, _redux.createStore)(_undoableReducer.default, initialState, window.__REDUX_DEVTOOLS_EXTENSION__ && window.__REDUX_DEVTOOLS_EXTENSION__({
    name: '自定义布局'
  }));
}
var _default = buildStore;
exports.default = _default;