"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ActionType = void 0;
var ActionType;
exports.ActionType = ActionType;
(function (ActionType) {
  /**
   * 合并和拆分单元格
   */
  ActionType["MERGE_CELLS"] = "MERGE_CELLS";
  /**
   * 拖动行高
   */
  ActionType["CHANGE_ROW_HEIGHT"] = "CHANGE_ROW_HEIGHT";
  /**
   * 拖动列宽
   */
  ActionType["CHANGE_COL_WIDTH"] = "CHANGE_COL_WIDTH";
  /**
   * 编辑单元格内容
   * 1. 手动编辑单元格内容
   * 2. 拖拽表单项到单元格
   */
  ActionType["EDIT_CELL_VALUE"] = "EDIT_CELL_VALUE";
  /**
   * 设置单元格文本样式
   */
  ActionType["SET_CELLS_TEXT_STYLE"] = "SET_CELLS_TEXT_STYLE";
  /**
   * 设置单元格样式
   */
  ActionType["SET_CELLS_STYLE"] = "SET_CELLS_STYLE";
  /**
   * 设置边框样式
   */
  ActionType["SET_CELLS_BORDER_STYLE"] = "SET_CELLS_BORDER_STYLE";
  /**
   * 单元格复制
   */
  ActionType["COPY_CELL"] = "COPY_CELL";
  /**
   * 单元格剪切
   */
  ActionType["CUT_CELL"] = "CUT_CELL";
  /**
   * 插入行
   */
  ActionType["INSERT_ROW"] = "INSERT_ROW";
  /**
   * 插入列
   */
  ActionType["INSERT_COL"] = "INSERT_COL";
  /**
   * 删除行
   */
  ActionType["DELETE_ROW"] = "DELETE_ROW";
  /**
   * 删除列
   */
  ActionType["DELETE_COL"] = "DELETE_COL";
  /**
   * 页面设置
   */
  ActionType["SET_PRINT_CONFIG"] = "SET_PRINT_CONFIG";
  /**
   * 切换编辑状态的单元格
   */
  ActionType["SET_EDITING_CELL"] = "SET_EDITING_CELL";
  ActionType["REPLACE_CONFIG"] = "REPLACE_CONFIG";
})(ActionType || (exports.ActionType = ActionType = {}));