"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isActionHelper;
var _getCellValue = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("./getCellValue"));
/**
 * 判断工具栏上的按钮是否处在活动状态的辅助函数
 * @param state
 * @param selectedRange
 * @param type
 */
function isActionHelper(state, selectedRange, type) {
  var currentCellValue = (0, _getCellValue.default)(state, selectedRange[0][0], selectedRange[0][1]);
  return currentCellValue.every(function (element) {
    return element.children.every(function (textItem) {
      return textItem[type];
    });
  });
}