import 'prismjs/themes/prism.css';
import './index.css';
import type { LayoutFieldItem } from '@sinoform/types';
import React from 'react';
import type { State } from '../reducer';
interface TableProps {
    config?: State;
    fieldItems?: LayoutFieldItem[];
}
declare const Table: React.ForwardRefExoticComponent<TableProps & React.RefAttributes<{
    getCurrentConfig: () => void;
    replaceConfig: (value: State) => void;
}>>;
export default Table;
