import { flatten } from 'lodash';
import getAllCellsInRange from './getAllCellsInRange';
export default function getAllInMergedCells(merges = []) {
    return flatten(merges.map((merge) => {
        const [[sri, sci]] = merge;
        const allCellsInmerge = getAllCellsInRange(merge);
        return allCellsInmerge.filter(([rowIdx, colIdx]) => !(rowIdx === sri && colIdx === sci));
    }));
}
