"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = checkCellMergedInRow;
var _slicedToArray2 = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@babel/runtime/helpers/slicedToArray"));
/**
 * 校验当前行是否有被行合并的单元格
 *
 * 单元格中表达式涉及子表单的字段时的前置校验：
 * 不允许子表单所在行的单元格有行合并导致单元格区域超出了本行
 * @param rowIdx
 * @param merges
 */
function checkCellMergedInRow(rowIdx) {
  var merges = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var flag = merges.some(function (_ref) {
    var _ref2 = (0, _slicedToArray2.default)(_ref, 2),
      _ref2$ = (0, _slicedToArray2.default)(_ref2[0], 1),
      sri = _ref2$[0],
      _ref2$2 = (0, _slicedToArray2.default)(_ref2[1], 1),
      eri = _ref2$2[0];
    return sri <= rowIdx && rowIdx <= eri && !(sri === rowIdx && eri === rowIdx);
  });
  return flag;
}